/*
 *
 * Copyright 2017-2018 Nitrite author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.dizitart.no2.exceptions;

/**
 * Represents a generic database I/O error.
 *
 * @since 1.0
 * @author Anindya Chatterjee.
 */
public class NitriteIOException extends NitriteException {
    /**
     * Instantiates a new {@link NitriteIOException}.
     *
     * @param errorMessage the error message
     */
    public NitriteIOException(ErrorMessage errorMessage) {
        super(errorMessage);
    }

    /**
     * Instantiates a new {@link NitriteIOException}.
     *
     * @param message the message
     * @param cause   the cause
     */
    public NitriteIOException(ErrorMessage message, Throwable cause) {
        super(message, cause);
    }
}
